Page MenuHomePhabricator

PayPal EC response processor needs to act on "recurring" flag
Closed, ResolvedPublic1 Story Points

Description

We're not hitting the code that calls CreateRecurringPaymentsProfile, presumably because the recurring flag isn't passed through to the response processor. We might have to include that in the return_url.

Event Timeline

awight created this task.Dec 19 2016, 10:50 PM
Ejegg added a subscriber: Ejegg.Feb 2 2017, 7:18 PM

According to the docs, PayPal only appends the 'token' and 'PayerID' parameters:
https://developer.paypal.com/docs/integration/direct/payments/create-process-order/

So we just need to add recurring=1 to the return URL

Change 336666 had a related patch set uploaded (by XenoRyet):
Add recurring flag to PayPal Return URL

https://gerrit.wikimedia.org/r/336666

Change 336666 merged by jenkins-bot:
Add recurring flag to PayPal Return URL

https://gerrit.wikimedia.org/r/336666

Ejegg closed this task as Resolved.Mar 1 2017, 11:54 PM
Ejegg set the point value for this task to 1.
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM